Bug 1302614 - [UI] Correction/editing of pool on Add Object Storage overview page doesn't work
[UI] Correction/editing of pool on Add Object Storage overview page doesn't work
Status: VERIFIED
Product: Red Hat Storage Console
Classification: Red Hat
Component: UI (Show other bugs)
2
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2
Assigned To: sankarshan
sds-qe-bugs
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-28 04:33 EST by Daniel Horák
Modified: 2016-11-13 19:05 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add Object Storage - editation doesn't work (69.65 KB, image/png)
2016-01-28 04:33 EST, Daniel Horák
no flags Details
Add Object Storage summary (2016-06-20) (26.64 KB, image/png)
2016-06-20 08:28 EDT, Daniel Horák
no flags Details

  None (edit)
Description Daniel Horák 2016-01-28 04:33:22 EST
Created attachment 1119077 [details]
Add Object Storage - editation  doesn't work

Description of problem:
  When creating new Object Storage, there is a overview page before submitting the request with few icons suggesting possibility to edit the created pools (see attachment). Clicking on the "pencil" icon (or to the other highlighted icon) doesn't work.


Version-Release number of selected component (if applicable):
  rhscon-ceph-0.0.5-0.1.alpha1.el7.x86_64
  rhscon-core-0.0.7-0.1.alpha1.el7.x86_64
  rhscon-ui-0.0.6-0.1.alpha1.el7.noarch

How reproducible:
  100%

Steps to Reproduce:
1. Prepare, install and configure USM cluster.
2. Accept discovered hosts and create new ceph cluster.
3. Go to Storage -> Add Storage, select Object Storage, then fill required information on the next page and continue to the overview page (Pools to create on CLUSTER).
4. Try to edit the prepared storage pool.

Actual results:
  It is not possible to update the prepared storage pool.

Expected results:
  It is possible to edit the prepared storage pool.
Comment 2 Matt Carrano 2016-03-11 16:52:33 EST
Looks like expansions for OSDs and Journals are not yet implemented.  Cache Tiering is not supported for USM 1.0 and should be removed.  I also believe that editing was dropped from this page.  If so pencil icon should be removed.
Comment 4 Daniel Horák 2016-06-20 08:28 EDT
Created attachment 1169893 [details]
Add Object Storage summary (2016-06-20)

There are some changes in the current builds, so for example there is no "pen" icon but there are still some "marks" suggesting to the user "you can change this" (see attached screenshot from rhscon-ui-0.0.39-1.el7scon.noarch).
Comment 5 Nishanth Thomas 2016-06-20 10:10:35 EDT
As discussed in bug scrub meeting, the pencil icon removed from the pool summary view
Comment 6 Martin Kudlej 2016-07-08 08:44:33 EDT
This is not valid anymore.
Updating of pool works in 
ceph-ansible-1.0.5-23.el7scon.noarch
ceph-installer-1.0.12-3.el7scon.noarch
rhscon-ceph-0.0.29-1.el7scon.x86_64
rhscon-core-0.0.29-1.el7scon.x86_64
rhscon-core-selinux-0.0.29-1.el7scon.noarch
rhscon-ui-0.0.43-1.el7scon.noarch
-->Verified

Note You need to log in before you can comment on or make changes to this bug.